/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingVigencia;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingVigencia implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingVigencia pv = (PricingVigencia) o;

        SimpleDateFormat sf = new SimpleDateFormat("dd/MM/yyyy HH:mm");
        Listcell lc = new Listcell();

        if (pv.getFecinicioviaje() != null) {
            lc = new Listcell(sf.format(pv.getFecinicioviaje()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pv.getFecfinviaje() != null) {
            lc = new Listcell(sf.format(pv.getFecfinviaje()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pv.getFecinicioventa() != null) {
            lc = new Listcell(sf.format(pv.getFecinicioventa()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        if (pv.getFecfinventa() != null) {
            lc = new Listcell(sf.format(pv.getFecfinventa()));
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pv);
    }
}
